Bug 225 - Problem with groupmapping with ldap
Problem with groupmapping with ldap
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0preX
All Linux
: P2 normal
: none
Assigned To: Volker Lendecke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-15 04:48 UTC by georges goebel
Modified: 2005-11-14 09:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description georges goebel 2003-07-15 04:48:22 UTC
Hi,

Don't know if it is a bug but when I try to get the groupmapping to work 
correctly under domain groups and local groups, I don't get a new group in the 
ldap tree.

I followed the HEAD howto v3.

Here is what I have done so far


bin/net getlocalsid
  SID for domain GARTH is:  S-1-5-21-2461967658-3721385169-1394850317

bin/net  groupmap add  sid=S-1-5-21-2461967658-3721385169-1394850317-512  
unixgroup=root type=domain
Successully added group admins to the mapping db

bin/net groupmap add sid=S-1-5-32-546 unixgroup=nobody
Successully added group nobody to the mapping db

bin/net groupmap  list

There is no entry and also no object in the ldap tree.

Georges Goebel
Comment 1 Volker Lendecke 2003-07-16 00:55:09 UTC
This is fixed with

http://lists.samba.org/pipermail/samba-cvs/2003-July/085432.html

We now at least give an error message. Having LDAP group mappings without
the posixGroup in LDAP is next.
Comment 2 Gerald (Jerry) Carter 2005-02-07 08:40:42 UTC
originally reported against 3.0.0beta2.  CLeaning out 
non-production release versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:16:54 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:26:27 UTC
database cleanup